<?php
/*
Third Version
Plugin Name: TaoTao
Plugin URI:  http://blog.kmxzblog.cn/2009/09/taotao-tri/
Description: TaoTao WordPress Plugin
Version: 0.3
Author: kmxz
Author URI: http://kmxzblog.cn/

Second Version
Plugin Name: TaoTao
Plugin URI:  http://www.80slife.net/
Description: TaoTao WordPress Plugin
Version: 0.2
Author: 可乐烟
Author URI: http://www.80slife.net/

First Version
Plugin Name: TaoTao
Plugin URI:  http://fairyfish.net/2008/08/02/taobao/
Description: TaoTao WordPress Plugin
Version: 0.1
Author: Denis
Author URI: http://fairyfish.net/
*/

/* ————————请在这里定义设置———————— */

/* 第一个QQ号 */
$qq1 = '10000'; //QQ号码
$qname1 = 'kmxz'; //显示名称
$avatar_1 = 'taotao'; //参见下面的"头像说明"
/* 第二个QQ号(同上,不用就不填) */
$qq2 = '';
$qname2 = '';
$avatar_2 = '';
/* 第三个QQ号同上,(不用就不填) */
$qq3 = '';
$qname3 = '';
$avatar_3 = '';
/* 显示条目数 */
$num = 20;

/* 头像说明:
填写'taotao'表示使用滔滔的头像(但是你必须已经在滔滔里设置非默认头像,否则红叉叉)
填写'gravatar'表示使用QQ邮箱对应的Gravatar头像(同样,你必须设置Gravatar头像)
或者直接填写头像图片的URL */

/* ——————————定义设置完毕—————————— */

function changetime ($t) //For Time Display
{
    $v = substr($t, 2, strlen($t));
    $n = substr($t, 0, 1);
  switch ($n) {
	case 1:
	 $s = '约 '.$v.' 秒前';
	 break;
	case 2:
	 $s = '约 '.$v.' 分钟前';
	 break;
	case 3:
	 $s = '约 '.$v.' 小时前';
	 break;
	case 4:
	 $s = '约 1 天前';
	 break;
	case 5:
	 $s = '约 3 天前';
	 break;
	case 6:
	 $s = '约 1 周前';
	case 7:
	 $s = $v;
	 break;
  }
    return $s;  
}

function cmp ($a, $b) // For Time Sorting
{
    $k = 'id';
    return strcmp($b[$k], $a[$k]);
}

if (! class_exists('http_fetch')) {  //For Getting XML
    function http_fetch ($url)
    {
        if (function_exists('curl_init')) {
            $curl = curl_init($url);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, TRUE);
            $rtrn = curl_exec($curl);
            curl_close($curl);
        } else {
            $rtrn = file_get_contents($url);
        }
        return $rtrn;
    }
}

/* Start Main Function */

function taotao ()
{
    global $qq1;
    global $qq2;
    global $qq3;
    global $num;
    global $qname1;
    global $qname2;
    global $qname3;
	
   /* Avatars */
	
   global $avatar_1;
   if($avatar_1=taotao){
     $avatar_1 = 'http://h.taotao.com/images/head/'.substr($qq1,1,2).'/'.substr($qq1,3,2).'/'.substr($qq1,5,2).'/'.substr($qq1,7,2).'/'.$qq1.'.jpg';
   } else if ($avatar_1=gravatar){
     $mail = $qq1.'@qq.com';
     $avatar_1 = 'http://www.gravatar.com/avatar/'.$md5.'?s=32';
   }
	 
   global $avatar_2;
   if($avatar_2=taotao){
     $avatar_2 = 'http://h.taotao.com/images/head/'.substr($qq2,1,2).'/'.substr($qq2,3,2).'/'.substr($qq2,5,2).'/'.substr($qq2,7,2).'/'.$qq2.'.jpg';
   } else if ($avatar_2=gravatar){
     $mail = $qq2.'@qq.com';
     $avatar_2 = 'http://www.gravatar.com/avatar/'.$md5.'?s=32';
   }
	 
   global $avatar_3;
   if($avatar_3=taotao){
     $avatar_3 = 'http://h.taotao.com/images/head/'.substr($qq3,1,2).'/'.substr($qq3,3,2).'/'.substr($qq3,5,2).'/'.substr($qq3,7,2).'/'.$qq3.'.jpg';
   } else if ($avatar_3=gravatar){
     $mail = $qq1.'@qq.com';
     $avatar_3 = 'http://www.gravatar.com/avatar/'.$md5.'?s=32';
   }
   
    /* Start First QQ */
  if (qq1!=''):
    $url = 'http://www.taotao.com/cgi-bin/msgMgr?type=3&num='.$num.'&qq='.$qq1;
    $result = http_fetch($url);
    $xml = simplexml_load_string($result);
    $md = $xml->info->md;
    foreach ($md->ml as $ml) {
       $arr[] = array("id" => $ml->id , "time" => $ml->t , "mes" => $ml->cn , "qq" => $ml->qq , "divclass" => "comment admincomment" , "name" => $qname1 , "src" => $avatar_1);
    }
   endif;
	/* First QQ End, Start Second One */	
  if (qq2!=''):
    $url = 'http://www.taotao.com/cgi-bin/msgMgr?type=3&num='.$num.'&qq='.$qq2;
    $result = http_fetch($url);
    $xml = simplexml_load_string($result);
    $md = $xml->info->md;
    foreach ($md->ml as $ml) {
       $arr[] = array("id" => $ml->id , "time" => $ml->t , "mes" => $ml->cn , "qq" => $ml->qq , "divclass" => "comment admincomment" , "name" => $qname2 , "src" => $avatar_2);
    }
  endif; 
	/* Second QQ End, Start Third One */
   if (qq2!=''):
	$url = 'http://www.taotao.com/cgi-bin/msgMgr?type=3&num='.$num.'&qq='.$qq3;
    $result = http_fetch($url);
    $xml = simplexml_load_string($result);
    $md = $xml->info->md;
    foreach ($md->ml as $ml) {
       $arr[] = array("id" => $ml->id , "time" => $ml->t , "mes" => $ml->cn , "qq" => $ml->qq , "divclass" => "comment regularcomment" , "name" => $qname3 , "src" => $avatar_3);
    }
  endif;
	/* Third One End */
	
    usort($arr, 'cmp');
    foreach ($arr as $onearr) {
        echo '<LI class="' . $onearr['divclass'] . '">';
        echo '<DIV class="author">';
        echo '<DIV class="pic">';
        echo '<IMG src="'.$onearr['src'].'" class="avatar avatar-32 photo" height="32" width="32"> </DIV>';
        echo '<DIV class="name">';
        echo $onearr['name'];
        echo '</DIV>';
        echo '</DIV>';
        echo '<DIV class="info">';
        echo '<DIV class="date">';
        echo changetime($onearr['time']);
        echo '</DIV>';
        echo '<DIV class="act">';
        echo ' <a href="http://www.taotao.com/v1/reply/t.' . $onearr['id'] . './u.' . $onearr['qq'] . '">回复</a>';
        echo '</div>';
        echo '<DIV class="fixed"></DIV>';
        echo '<DIV class="content">';
        echo '<DIV>';
        echo '<P>' . $onearr['mes'] . '</P>';
        echo '</DIV>';
        echo '</DIV>';
        echo '</DIV>';
        echo '<DIV class="fixed"></DIV>';
        echo '</LI>';
    }
}
?>